@echo off
call setenv.bat
if x%1x==xx goto showusage
if x%2x==xx goto showusage
if x%3x==xx goto showusage

if not exist %WCLOGDIR%\migration mkdir %WCLOGDIR%\migration

set database=%1
set user=%2
set password=%3
set schema=%WCS_HOME%\schema
set log=%WCLOGDIR%\migration\ATPmigrate.log
set doatp=com.ibm.commerce.migration.tool.migrateATP

set jvmheapsz=128m
if not x%4x == xx set jvmheapsz=%4

call setdbenv.db2.bat
set CPM=%WCS_HOME%\properties;%WCS_HOME%\lib\wcsmigration.jar;%CP%
cd %WCS_HOME%\schema

REM %JAVA_HOME%\bin\java -classpath %CPM% %doatp% %database%  %user% %password% >> %log%
echo %JAVA_HOME%\bin\java -Xmx%jvmheapsz% -classpath %CPM% %doatp% %database%  %user% %password% >> %log%  2>&1
%JAVA_HOME%\bin\java -Xmx%jvmheapsz% -classpath %CPM% %doatp% %database%  %user% %password% >> %log% 2>&1

echo setting counters in keys table ...
echo ----------------------------------
echo off | more
db2 connect to %database% user %user% using %password% >> %log%
db2 -tvf %schema%\db2\migration\updatekeys.sql >> %log%
db2 terminate >> %log%
echo "Migrating ATP completed. Please check ATPmigrate.log."
cd %WCLOGDIR%\migration
goto end

:showusage
echo Usage:
echo ------
echo off | more
echo migrateATP.db2.bat (dbname) (userId) (password) [jvmheapsz]
:end
 